LibreOffice: _oslFileStatus Struct Reference

LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
_oslFileStatus Struct Reference

Structure containing information about files and directories. More...

`#include <file.h>`

## Public Attributes
sal_uInt32 | uStructSize
| Must be initialized with the size in bytes of the structure before passing it to any function.
sal_uInt32 | uValidFields
| Determines which members of the structure contain valid data.
oslFileType | eType
| The type of the file (file, directory, volume).
sal_uInt64 | uAttributes
| File attributes.
TimeValue | aCreationTime
| First creation time in nanoseconds since 1/1/1970.
TimeValue | aAccessTime
| Last access time in nanoseconds since 1/1/1970.
TimeValue | aModifyTime
| Last modify time in nanoseconds since 1/1/1970.
sal_uInt64 | uFileSize
| Size in bytes of the file.
rtl_uString * | ustrFileName
| Case correct name of the file.
rtl_uString * | ustrFileURL
| Full URL of the file.
rtl_uString * | ustrLinkTargetURL
| Full URL of the target file if the file itself is a link.

## Detailed Description

Structure containing information about files and directories.

See also
  osl_getFileStatus()
  oslFileType

## Member Data Documentation

## ◆ aAccessTime

TimeValue _oslFileStatus::aAccessTime

Last access time in nanoseconds since 1/1/1970.

Can be the last modify time depending on platform or file system.

## ◆ aCreationTime

TimeValue _oslFileStatus::aCreationTime

First creation time in nanoseconds since 1/1/1970.

Can be the last modify time depending on platform or file system.

## ◆ aModifyTime

TimeValue _oslFileStatus::aModifyTime

Last modify time in nanoseconds since 1/1/1970.

## ◆ eType

oslFileType _oslFileStatus::eType

The type of the file (file, directory, volume).

## ◆ uAttributes

sal_uInt64 _oslFileStatus::uAttributes

File attributes.

## ◆ uFileSize

sal_uInt64 _oslFileStatus::uFileSize

Size in bytes of the file.

Zero for directories and volumes.

## ◆ ustrFileName

rtl_uString* _oslFileStatus::ustrFileName

Case correct name of the file.

Should be set to zero before calling osl_getFileStatus and released after usage.

## ◆ ustrFileURL

rtl_uString* _oslFileStatus::ustrFileURL

Full URL of the file.

Should be set to zero before calling osl_getFileStatus and released after usage.

## ◆ ustrLinkTargetURL

rtl_uString* _oslFileStatus::ustrLinkTargetURL

Full URL of the target file if the file itself is a link.

Should be set to zero before calling osl_getFileStatus and released after usage.

## ◆ uStructSize

sal_uInt32 _oslFileStatus::uStructSize

Must be initialized with the size in bytes of the structure before passing it to any function.

## ◆ uValidFields

sal_uInt32 _oslFileStatus::uValidFields

Determines which members of the structure contain valid data.

The documentation for this struct was generated from the following file:

- osl/file.h